<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/html/load_time_data.html">
<link rel="import" href="chrome://resources/cr_elements/cr_link_row/cr_link_row.html">
<link rel="import" href="../deep_linking_behavior.html">
<link rel="import" href="../os_route.html">
<link rel="import" href="../../router.html">
<link rel="import" href="../../controls/settings_toggle_button.html">
<link rel="import" href="../../settings_shared_css.html">
<link rel="import" href="../../settings_page/settings_subpage.html">
<link rel="import" href="../os_people_page/users_page.html">
<link rel="import" href="../../settings_page/settings_animated_pages.html">
<link rel="import" href="../os_people_page/lock_screen.html">
<link rel="import" href="../os_people_page/lock_screen_password_prompt_dialog.html">
<link rel="import" href="../os_people_page/lock_state_behavior.html">

<dom-module id="os-settings-privacy-page">
  <template>
    <style include="settings-shared"></style>
    <settings-animated-pages id="pages" section="osPrivacy"
        focus-config="[[focusConfig_]]">

      <div route-path="default">
        <template is="dom-if" if="[[isAccountManagementFlowsV2Enabled_]]">
          <cr-link-row id="lockScreenSubpageTrigger"
              on-click="onConfigureLockTap_"
              label="[[selectLockScreenTitleString_(hasPinLogin)]]"
              sub-label="[[getPasswordState_(hasPin,
                  prefs.settings.enable_screen_lock.value)]]"
              role-description="$i18n{subpageArrowRoleDescription}">
          </cr-link-row>
          <cr-link-row id="manageOtherPeopleSubpageTrigger" class="hr"
              label="$i18n{manageOtherPeople}"
              on-click="onManageOtherPeople_"
              role-description="$i18n{subpageArrowRoleDescription}">
          </cr-link-row>
          <div class="hr"></div>
        </template>

<if expr="_google_chrome">
        <settings-toggle-button
            id="enable-logging"
            pref="{{prefs.cros.metrics.reportingEnabled}}"
            label="$i18n{enableLogging}"
            sub-label="$i18n{enableLoggingDesc}"
            deep-link-focus-id$="[[Setting.kUsageStatsAndCrashReports]]">
        </settings-toggle-button>
        <div class="hr"></div>
</if>
        <template is="dom-if" if="[[showSuggestedContentToggle_]]">
          <settings-toggle-button
              id="suggested-content"
              pref="{{prefs.settings.suggested_content_enabled}}"
              label="$i18n{enableSuggestedContent}"
              sub-label="$i18n{enableSuggestedContentDesc}"
              learn-more-url="$i18n{suggestedContentLearnMoreURL}">
          </settings-toggle-button>
          <div class="hr"></div>
        </template>
        <settings-toggle-button
            id="enable-verified-access"
            pref="{{
              prefs.cros.device.attestation_for_content_protection_enabled}}"
            label="$i18n{enableContentProtectionAttestation}"
            deep-link-focus-id$="[[Setting.kVerifiedAccess]]">
        </settings-toggle-button>
      </div>

      <template is="dom-if" if="[[isAccountManagementFlowsV2Enabled_]]">
        <template is="dom-if" route-path="/osPrivacy/lockScreen">
          <settings-subpage
              page-title="[[selectLockScreenTitleString_(hasPinLogin)]]"
              associated-control="[[$$('#lockScreenSubpageTrigger')]]">
            <settings-lock-screen id="lockScreen" set-modes="[[setModes_]]"
                prefs="{{prefs}}" auth-token="[[authToken_]]"
                on-invalidate-auth-token-requested="onInvalidateTokenRequested_"
                on-password-requested="onPasswordRequested_">
            </settings-lock-screen>
          </settings-subpage>
        </template>
        <template is="dom-if" if="[[fingerprintUnlockEnabled_]]">
          <template is="dom-if" route-path="/osPrivacy/lockScreen/fingerprint"
              no-search>
            <settings-subpage page-title="$i18n{lockScreenFingerprintTitle}">
              <settings-fingerprint-list id="fingerprint-list"
                  auth-token="[[authToken_.token]]"
                  set-modes="[[setModes_]]"
                  on-password-requested="onPasswordRequested_">
              </settings-fingerprint-list>
            </settings-subpage>
          </template>
        </template>
        <template is="dom-if" route-path="/osPrivacy/accounts">
          <settings-subpage
              associated-control="[[$$('#manageOtherPeopleSubpageTrigger')]]"
              page-title="$i18n{manageOtherPeople}">
            <settings-users-page prefs="{{prefs}}">
            </settings-users-page>
          </settings-subpage>
        </template>
      </template>

    </settings-animated-pages>

    <template is="dom-if" if="[[isAccountManagementFlowsV2Enabled_]]">
      <template is="dom-if" if="[[showPasswordPromptDialog_]]" restamp>
        <settings-lock-screen-password-prompt-dialog
            id="passwordDialog"
            on-close="onPasswordPromptDialogClose_"
            on-auth-token-obtained="onAuthTokenObtained_">
        </settings-lock-screen-password-prompt-dialog>
      </template>
    </template>

  </template>
  <script src="os_privacy_page.js"></script>
</dom-module>
